@import "../../global.scss";

.card {
  max-width: 100%;
  position: relative;
  display: inline-block;
  outline: 1pt solid $secondary-colour;
  background: white;
  margin: $sml-mg auto;
  &:hover {
    .infoWrapper {
      .tag,
      .date,
      .readingTIme,
      .source {
        opacity: 1;
      }
    }
  }
  .imgWrapper {
    max-width: 100%;
    outline: 1pt solid $secondary-colour;
  }
  .infoWrapper {
    padding: $tiny-mg;
    padding-top: 0;
    .tag,
    .date,
    .readingTime,
    .source {
      margin-right: $tiny-mg;
      display: inline-block;
      font-size: $sml-font;
      opacity: 0.4;
    }
    .tag {
      padding: 0 4px 0px 4px;
      border: 1pt solid $secondary-colour;
      margin-bottom: $tiny-mg;
      border-radius: 4pt;
    }
    .source {
      color: $highlight-colour;
    }
  }
}
